petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetCoordinatesLocal

Sets into the DM a local vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetCoordinatesLocal(DM dm, Vec c)

Collective on DM Many br

### Input Parameters

| dm | - the DM Many br
| c | - coordinate vector Many br

### Note

The coordinates of ghost points can be set using DMSetCoordinates() Many brfollowed by DMGetCoordinatesLocal(). This is intended to enable the Many brsetting of ghost coordinates outside of the domain. Many br

Many br

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMGetCoordinatesLocal(), DMSetCoordinates(), DMGetCoordinates(), DMGetCoordinateDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html